package com.bjtdba.order.service;

public interface OrderService {

    Object orderList(Integer pageNum, Integer pageSize, String uid, String mer_id, String status);

    Object orderStstusAmount(String mer_id);

    Object refundOrderStstusAmount(String mer_id);

    Object getOrderDetails(String order_sn);

    Object onLineOrdeSun(String mer_id, String start_time, String end_time);

    public Object queryMerchantUserOrder(int merId,int pageNum ,int pageSize);

    public Integer seckillOrderCounut(String productId,Long uid);

    /**
     * 本次活动该用户购买的数量
      * @param productId
     * @param uid
     * @return
     */
    public Integer getDayPayCount(Long productId,Long uid);

    /**
     * 本次互动该用户全全部活动的上线数量
     * @param productId
     * @param uid
     * @return
     */
    public Integer getPayCount(Long productId,Long uid);

}
